Subject: Re: [dhcwg] more prefix-delegation-01 questions

From: Ole Troan <[email-masked]>
Date: Wed, 05 Feb 2003 00:14:32 +0000

Aaron,

thanks for your comments.

> In draft-ietf-dhc-dhcpv6-opt-prefix-delegation-01,
> the second paragraph of section 5 says
>
>    An IA_PD is different from an IA, in that it does not need to be
>    associated with exactly one interface.  One IA_PD can be associated
>    with the requesting router, with a set of interfaces or with exactly
>    one interface.  A requesting router must create at least one distinct
>    IA_PD.  It may associate a distinct IA_PD with each of its downstream
>    network interfaces and use that IA_PD to obtain a prefix for that
>    interface from the delegating router.
>
> Then the 3rd to last paragraph in section 11.1 begins
>
>    Upon the receipt of a valid Reply message, the requesting router
>    assigns a subnet from each of the delegated prefixes to each of the
>    links to which it is attached, ...
>
> I think the text in 11.1 is a carryover from before the IA_PD
> construct was introduced.  Should it be updated to reflect the
> IA_PD interface groupings?  Perhaps something along the lines of
>
>    Upon the receipt of a valid Reply message, for each IA_PD the
>    requesting router assigns a subnet from each of the delegated
>    prefixes to each of the links to which the associated interfaces
>    are attached, ...

agree, that is clearer.

> Also, section 5 has "...obtain a prefix for that interface...",
> while section 11.1 has "...assigns a subnet from...the...prefixes to...
> the links...".  Does it ever make sense for the requesting router to
> configure an address on its interface(s) using a delegated prefix?
> If so, and given that RFC 2462 says routers are not allowed to
> auto-configure addresses from prefixes received in advertisements
> (even ones they send), then the address configuration would have to be
> done explicitly.  Does the PD draft need to explain this, or is it
> considered obvious, or should routers not do this?

a requesting router could indeed configure an address using the
delegated prefix. in this case the prefix wouldn't be received in an
RA so the restriction in 2462 shouldn't apply. (in any case I think the
per interface router/host mode is sometimes a bit blurred, e.g our
implementation can auto-configure addresses on an interface while
still forwarding on that interface.)

cheers,
Ole
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg